## satpy 0.20.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = 
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/NWCSAFMSGPP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/NWCSAFMSGPP.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## satpy 0.11.1

=== debian/changelog ===
satpy (0.11.1-2) unstable; urgency=medium

  * debian/tests/control:
    - add generated package to the list of dependencies (fix CI failures)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 16 Jan 2019 07:43:28 +0000

satpy (0.11.1-1) unstable; urgency=medium

  * Initial version (Closes: #917110)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 15 Jan 2019 06:29:16 +0000

=== debian/control ===
Source: satpy
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-behave,
               python3-bs4,
               python3-dask,
               python3-gdal,
               python3-geotiepoints,
               python3-glymur,
               python3-grib,
               python3-h5netcdf,
               python3-h5py,
               python3-hdf4,
               python3-imageio,
               python3-libtiff,
               python3-netcdf4,
               python3-numpy (>= 1:1.13),
               python3-pil,
               python3-pygac,
               python3-pycoast,
               python3-pydecorate,
               python3-pykdtree,
               python3-pyninjotiff,
               python3-pyorbital (>= 1.3.1),
               python3-pyproj,
               python3-pyresample (>= 1.10.3),
               python3-pyspectral,
               python3-rasterio,
               python3-requests,
               python3-scipy,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-tables,
               python3-trollimage,
               python3-trollsched,
               python3-trollsift,
               python3-xarray,
               python3-yaml
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
Homepage: https://github.com/pytroll/satpy

Package: python3-satpy
Architecture: all
Depends: python3-dask,
         python3-grib,
         python3-hdf4,
         python3-numpy (>= 1:1.13),
         python3-pil,
         python3-pykdtree,
         python3-pyproj,
         python3-pyresample (>= 1.10.3),
         python3-scipy,
         python3-six,
         python3-trollimage,
         python3-trollsift,
         python3-xarray,
         python3-yaml,
         ${python3:Depends},
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python3-behave,
            python3-bs4,
            python3-gdal,
            python3-geotiepoints,
            python3-glymur,
            python3-h5netcdf,
            python3-h5py,
            python3-imageio,
            python3-libtiff,
            python3-netcdf4,
            python3-pydecorate,
            python3-pycoast,
            python3-pygac,
            python3-pyninjotiff,
            python3-pyorbital (>= 1.3.1),
            python3-pyspectral,
            python3-rasterio,
            python3-requests,
            python3-tables,
            python3-trollsched,
            ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python package for earth-observing satellite data processing
 The SatPy package is a Python library for reading and manipulating
 meteorological remote sensing data and writing it to various image and
 data file formats. SatPy comes with the ability to make various RGB
 composites directly from satellite instrument channel data or higher level
 processing output. The pyresample package is used to resample data to
 different uniform areas or grids.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=satpy

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean

	$(RM) -r .eggs *.egg-info
	$(RM) test*.mitiff
	$(RM) -r .pytest_cache

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/source build/html # HTML generator
	# PYTHONPATH=. python3 -m sphinx -N -bman doc/source build/man # Manpage generator
endif

## satpy 0.12.0

=== debian/changelog ===
satpy (0.12.0-1) unstable; urgency=medium

  * New upstream release (Closes: #919566).
  * debian/patches:
    - drop 0002-Compatibility-with-Python-3.7.patch and 0004-Fix-cf-epoch.patch:
      applied upstream
    - drop 0003-Skip-tests-that-require-pydecorate.patch: no longer necessary
      (pydecorate is now available)
    - new 0002-Disable-extra-dependency-form-geoviews.patch: geoviews is not
      currently available in debian
    - refresh remaining patches
  * drop dependency from python3-h5netcdf (Closes: #919714).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 21 Feb 2019 10:10:34 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                python3-geotiepoints,
                python3-glymur,
                python3-grib,
-               python3-h5netcdf,
                python3-h5py,
                python3-hdf4,
                python3-imageio,
@@ -72,7 +71,6 @@
             python3-gdal,
             python3-geotiepoints,
             python3-glymur,
-            python3-h5netcdf,
             python3-h5py,
             python3-imageio,
             python3-libtiff,

## satpy 0.16.1

=== debian/changelog ===
satpy (0.16.1-2) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Set upstream metadata fields: Contact.
  * debian/patches:
    - new 0005-Fix-test_gaclacfile.patch (Closes: #933536)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 06 Aug 2019 17:30:35 +0000

satpy (0.16.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - drop 0001-Fix-pyhdf.patch: upstream package name has been switched
      back to pyhdf
    - refresh and renumber remaining patches
    - new patches: 0003-Explicitly-set-chunks-in-dask-arrays.patch,
      0004-Disable-tests-on-the-number-of-calls-to-ll2cr.patch
  * debian/control:
    - require python3-hdf4 >= 0.10.1
  * Set compat to 12.
  * Set distribution to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 12 Jul 2019 06:23:16 +0000

satpy (0.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Re-enable dependency form python3-netcdf (#915260 has been fixed now).
  * Updated debian/copyright.
  * debian/patches:
    - refresh all patches
    - new 0003-Fix-compat-with-old-xarray-and-dask-versions.patch
  * debian/control:
    - update pyresample dependency version
  * debian/rules:
    - dix doc build

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 23 Apr 2019 19:48:10 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-behave,
                python3-bs4,
+               python3-cloudpickle,
                python3-dask,
                python3-gdal,
                python3-geotiepoints,
                python3-glymur,
                python3-grib,
+               python3-h5netcdf,
                python3-h5py,
-               python3-hdf4,
+               python3-hdf4 (>= 0.10.1),
                python3-imageio,
                python3-libtiff,
                python3-netcdf4,
@@ -27,8 +29,8 @@
                python3-pyninjotiff,
                python3-pyorbital (>= 1.3.1),
                python3-pyproj,
-               python3-pyresample (>= 1.10.3),
-               python3-pyspectral,
+               python3-pyresample (>= 1.12.0),
+               python3-pyspectral (>= 0.8.7),
                python3-rasterio,
                python3-requests,
                python3-scipy,
@@ -42,7 +44,7 @@
                python3-trollsift,
                python3-xarray,
                python3-yaml
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy
@@ -51,12 +53,12 @@
 Architecture: all
 Depends: python3-dask,
          python3-grib,
-         python3-hdf4,
+         python3-hdf4 (>= 0.10.1),
          python3-numpy (>= 1:1.13),
          python3-pil,
          python3-pykdtree,
          python3-pyproj,
-         python3-pyresample (>= 1.10.3),
+         python3-pyresample (>= 1.12.0),
          python3-scipy,
          python3-six,
          python3-trollimage,
@@ -71,6 +73,7 @@
             python3-gdal,
             python3-geotiepoints,
             python3-glymur,
+            python3-h5netcdf,
             python3-h5py,
             python3-imageio,
             python3-libtiff,
@@ -80,7 +83,7 @@
             python3-pygac,
             python3-pyninjotiff,
             python3-pyorbital (>= 1.3.1),
-            python3-pyspectral,
+            python3-pyspectral (>= 0.8.7),
             python3-rasterio,
             python3-requests,
             python3-tables,

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	PSP_CONFIG_FILE=$(CURDIR)/debian/pyspectral_dummycfg.yaml \
 	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/source build/html # HTML generator
 	# PYTHONPATH=. python3 -m sphinx -N -bman doc/source build/man # Manpage generator
 endif

## satpy 0.19.1

=== debian/changelog ===
satpy (0.19.1-1ubuntu1) focal; urgency=medium

  * Patch for new pygac

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Jan 2020 09:33:33 +0100

satpy (0.19.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 13 Jan 2020 21:31:18 +0000

satpy (0.19.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - set versioned dependency on dask, pygac and trollimage
    - add dependency on python3-pint, python3-eccodes and python3-zarr
  * debian/patches:
    - drop 0006-Fix-compatibility-with-new-proj-version.patch and
      0008-Fix-TestVIIRSComposites.patch, applied upstream
    - drop 0002-Fix-compat-with-old-xarray-and-dask-versions.patch,
      0003-Explicitly-set-chunks-in-dask-arrays.patch,
      0004-Disable-tests-on-the-number-of-calls-to-ll2cr.patch
      and 0007-dask-2.8.patch, no longer necessary
    - new No-setuptools-scm.patch
    - refresh and renumber remaining patches
    - update Fix-test_gaclacfile.patch and rename into
      Skip-broken-tests.patch
  * debian/copyright:
    - drop versioneer, no longer used upstream)
  * debian/rules:
    - generate satpy/version.py file to bypass setuptools-scm
    - fix permissions of agri_l1.*

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Jan 2020 19:42:31 +0000

satpy (0.16.1-5) unstable; urgency=medium

  * debian/patches:
    - rename dask-2.8.patch into 0007-dask-2.8.patch
    - new 0008-Fix-TestVIIRSComposites.patch, backport form upstream
      (closes: #946004)
  * debian/control:
    - explicitly specify Rules-Requires-Root: no

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Dec 2019 07:29:08 +0000

satpy (0.16.1-4) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.1, no changes.

  [ Matthias Klose ]
  * Fix two tests for dask-2.8.
    (closes: #945129)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Nov 2019 10:50:09 +0100

satpy (0.16.1-3) unstable; urgency=medium

  * debian/patches:
    - new 0006-Fix-compatibility-with-new-proj-version.patch
      (backport form upstream)
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 16 Sep 2019 21:33:09 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-behave,
                python3-bs4,
                python3-cloudpickle,
-               python3-dask,
+               python3-dask (>= 2.8),
+               python3-eccodes,
                python3-gdal,
                python3-geotiepoints,
                python3-glymur,
@@ -22,7 +24,8 @@
                python3-netcdf4,
                python3-numpy (>= 1:1.13),
                python3-pil,
-               python3-pygac,
+               python3-pint,
+               python3-pygac (>= 1.3.0),
                python3-pycoast,
                python3-pydecorate,
                python3-pykdtree,
@@ -39,19 +42,21 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-tables,
-               python3-trollimage,
+               python3-trollimage (>> 1.10.1),
                python3-trollsched,
                python3-trollsift,
                python3-xarray,
-               python3-yaml
-Standards-Version: 4.4.0
+               python3-yaml,
+               python3-zarr
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy
 
 Package: python3-satpy
 Architecture: all
-Depends: python3-dask,
+Depends: python3-dask (>= 2.8),
+         python3-eccodes,
          python3-grib,
          python3-hdf4 (>= 0.10.1),
          python3-numpy (>= 1:1.13),
@@ -61,10 +66,11 @@
          python3-pyresample (>= 1.12.0),
          python3-scipy,
          python3-six,
-         python3-trollimage,
+         python3-trollimage (>> 1.10.1),
          python3-trollsift,
          python3-xarray,
          python3-yaml,
+         python3-zarr,
          ${python3:Depends},
          ${sphinxdoc:Depends},
          ${misc:Depends}
@@ -78,6 +84,7 @@
             python3-imageio,
             python3-libtiff,
             python3-netcdf4,
+            python3-pint,
             python3-pydecorate,
             python3-pycoast,
             python3-pygac,

## satpy 0.20.0

=== debian/changelog ===
satpy (0.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * debian/patches:
    - drop 0004-xarray-0.15-compat.patch and 0005-New-pygac-syntax.patch,
      applied upstream
    - update 0003-Skip-broken-tests.patch (see upstream issue #1096
      https://github.com/pytroll/satpy/issues/1096)
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Feb 2020 17:35:13 +0000

satpy (0.19.1-3) unstable; urgency=medium

  * debian/patches
    - new 0005-New-pygac-syntax.patch (Closes: 949468)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Feb 2020 07:57:21 +0000

satpy (0.19.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * debian/patches:
    - improve 0002-No-setuptools-scm.patch
    - new 0004-xarray-0.15-compat.patch, improve compatibility
      with xarray 0.15 (Closes: 950887)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 07 Feb 2020 20:50:34 +0000

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|satpy)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/satpy-$1.$2/,\
repacksuffix=+ds \
https://github.com/pytroll/satpy/releases \
(?:.*?/archive/)?(?:rel|v|satpy)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## satpy 0.21.0

=== debian/changelog ===
satpy (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update dependencies: drop six, add pytest
  * debian/patches:
    - refresh all patches
    - update 0003-Skip-broken-tests.patch (see upstream issue
      https://github.com/pytroll/satpy/issues/1096)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 09 Apr 2020 07:11:37 +0000

=== debian/control ===
--- 
+++ 
@@ -34,11 +34,11 @@
                python3-pyproj,
                python3-pyresample (>= 1.12.0),
                python3-pyspectral (>= 0.8.7),
+               python3-pytest,
                python3-rasterio,
                python3-requests,
                python3-scipy,
                python3-setuptools,
-               python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-tables,
@@ -65,7 +65,6 @@
          python3-pyproj,
          python3-pyresample (>= 1.12.0),
          python3-scipy,
-         python3-six,
          python3-trollimage (>> 1.10.1),
          python3-trollsift,
          python3-xarray,

## satpy 0.22.0

=== debian/changelog ===
satpy (0.22.0-2) unstable; urgency=medium

  * debian/patches:
    - new 0004-Fix-tests-on-i386-platforms.patch
    - add Forwarded field to patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 18 Aug 2020 14:46:49 +0000

satpy (0.22.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - build-depend on python3-fsspec
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 23 Jun 2020 05:49:21 +0000

## satpy 0.23.0

=== debian/changelog ===
satpy (0.23.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0004-Fix-tests-on-i386-platforms.patch:
      applied upstream
    - refresh remaining patches
    - remove from 0003-Skip-broken-tests.patch changes regarding
      satpy/tests/writer_tests/test_mitiff.py, no longer needed

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Sep 2020 07:49:36 +0000

## satpy 0.24.0

=== debian/changelog ===
satpy (0.24.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 19 Nov 2020 08:06:18 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python3-cloudpickle,
                python3-dask (>= 2.8),
                python3-eccodes,
+               python3-fsspec,
                python3-gdal,
                python3-geotiepoints,
                python3-glymur,

## satpy 0.25.0

=== debian/changelog ===
satpy (0.25.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refresh all patches
    - improve 0002-No-setuptools-scm.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 06 Jan 2021 07:19:14 +0000

## satpy 0.25.1

=== debian/changelog ===
satpy (0.25.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Jan 2021 09:41:47 +0000

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,20 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/pkg-info.mk
+
 export PYBUILD_NAME=satpy
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_configure:
+	echo "version = '$(DEB_VERSION_UPSTREAM)'" > satpy/version.py
+	dh_auto_configure
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian/python*satpy -name 'agri_l1.*' -exec chmod -x {} +
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -15,6 +25,7 @@
 	$(RM) -r .eggs *.egg-info
 	$(RM) test*.mitiff
 	$(RM) -r .pytest_cache
+	$(RM) satpy/version.py
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

## satpy 0.31.0

=== debian/changelog ===
satpy (0.31.0-3) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Dec 2021 18:02:03 +0000

satpy (0.31.0-3~exp1) experimental; urgency=medium

  * devian/control:
    - improve formatting
  * debian/patches:
    - new 0006-Fix-broken-test-in-i386.patch, fix tests that
      are broken on i386.
  * Temporary disable test that are broken in Python 3.10
    (see https://github.com/pytroll/satpy/issues/1929).
  * Disable tests requiring a large amount of resources
    (see https://github.com/pytroll/satpy/issues/1883).
    Closes: #1000273.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Dec 2021 18:35:12 +0000

satpy (0.31.0-2) unstable; urgency=medium

  * debian/rules:
    - do not install python code that is not part of the satpy
      package (Closes: #998822).
  * debian/control:
    - do not use undefined substitution variables.
  * debian/patches:
    - improve 0002-No-setuptools-scm.patch to properly set the version
      in the setup.py script.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 09 Nov 2021 11:08:48 +0000

satpy (0.31.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * New upstream release (Closes: #997124).
  * Update d/copyright file.
  * debian/control:
    - remove unneeded versioned dependencies
    - update dependencies.
  * debian/patches:
    - refresh all patches
    - New 0004-Skip-tests-requiring-rioxarray.patch
    - New 0005-Use-local-mathjax.patch.
  * exclude tests that need to access the interned in
    d/rules and d/tests/python3.
  * New d/python3-satby.lintian-overrides for
    application-in-library-section.
  * Add manpage for satpy_retrieve_all_aux_data.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 10:56:20 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,18 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               libjs-mathjax,
                python3-all,
+               python3-appdirs,
                python3-behave,
+               python3-bottleneck,
                python3-bs4,
                python3-cloudpickle,
                python3-dask (>= 2.8),
+               python3-distributed,
+               python3-donfig,
                python3-eccodes,
                python3-fsspec,
-               python3-gdal,
                python3-geotiepoints,
                python3-glymur,
                python3-grib,
@@ -23,45 +27,52 @@
                python3-imageio,
                python3-libtiff,
                python3-netcdf4,
-               python3-numpy (>= 1:1.13),
+               python3-numpy,
                python3-pil,
                python3-pint,
+               python3-pooch,
                python3-pygac (>= 1.3.0),
                python3-pycoast,
                python3-pydecorate,
                python3-pykdtree,
                python3-pyninjotiff,
-               python3-pyorbital (>= 1.3.1),
+               python3-pyorbital,
                python3-pyproj,
                python3-pyresample (>= 1.12.0),
                python3-pyspectral (>= 0.8.7),
                python3-pytest,
+               python3-pytest-lazy-fixture,
                python3-rasterio,
                python3-requests,
                python3-scipy,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
+               python3-sphinxcontrib.apidoc,
                python3-tables,
+               python3-tornado,
                python3-trollimage (>> 1.10.1),
                python3-trollsched,
                python3-trollsift,
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy
 
 Package: python3-satpy
 Architecture: all
-Depends: python3-dask (>= 2.8),
+Depends: python3-appdirs,
+         python3-dask (>= 2.8),
+         python3-donfig,
          python3-eccodes,
          python3-grib,
          python3-hdf4 (>= 0.10.1),
-         python3-numpy (>= 1:1.13),
+         python3-numpy,
          python3-pil,
+         python3-pooch,
          python3-pykdtree,
          python3-pyproj,
          python3-pyresample (>= 1.12.0),
@@ -74,9 +85,11 @@
          ${python3:Depends},
          ${sphinxdoc:Depends},
          ${misc:Depends}
-Recommends: python3-behave,
+Recommends: libjs-mathjax,
+            python3-behave,
+            python3-bottleneck,
             python3-bs4,
-            python3-gdal,
+            python3-distributed,
             python3-geotiepoints,
             python3-glymur,
             python3-h5netcdf,
@@ -85,18 +98,20 @@
             python3-libtiff,
             python3-netcdf4,
             python3-pint,
+            python3-pycoast,
             python3-pydecorate,
-            python3-pycoast,
             python3-pygac,
             python3-pyninjotiff,
-            python3-pyorbital (>= 1.3.1),
+            python3-pyorbital,
             python3-pyspectral (>= 0.8.7),
+            python3-pytest,
+            python3-pytest-lazy-fixture,
             python3-rasterio,
             python3-requests,
             python3-tables,
-            python3-trollsched,
-            ${python3:Recommends}
-Suggests: ${python3:Suggests}
+            python3-tornado,
+            python3-trollsched
+Suggests: www-browser
 Description: Python package for earth-observing satellite data processing
  The SatPy package is a Python library for reading and manipulating
  meteorological remote sensing data and writing it to various image and

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,12 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=satpy
+export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/benchmarks' '{destdir}/{install_dir}/dask-worker-space'
+export PYBUILD_TEST_ARGS=-k \
+"not test_retrieve and not test_offline_retrieve\
+ and not test_retrieve_all and not test_download_script\
+ and not test_start_time and not test_end_time\
+ and not test_mimic_TPW2_nc and not test_fy4a_for_one_resolution and not test_load_longitude_latitude"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## satpy 0.33.1

=== debian/changelog ===
satpy (0.33.1-2) unstable; urgency=medium

  * Disable autopkgtest on armhf (Closes: #1000273).
    All tests pass on porteboxes but debian-ci still fails
    in a way that is not possible to reproduce and debug.
  * Re-enable test_modis_l1b.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 04 Jan 2022 09:09:07 +0000

satpy (0.33.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - add dependency on python3-defusedxml.
  * Update d/copyright.
  * Disable broken tests (see
    https://github.com/pytroll/satpy/issues/1959 and
    https://github.com/pytroll/satpy/issues/1883).
    Closes: #1000273.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Jan 2022 10:13:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 "not test_retrieve and not test_offline_retrieve\
  and not test_retrieve_all and not test_download_script\
  and not test_start_time and not test_end_time\
- and not test_mimic_TPW2_nc and not test_fy4a_for_one_resolution and not test_load_longitude_latitude"
+ and not test_mimic_TPW2_nc and not test_fy4a_for_one_resolution and not test_load_longitude_latitude\
+ and not TestAngleGeneration"
+
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -42,3 +44,12 @@
 	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/source build/html # HTML generator
 	# PYTHONPATH=. python3 -m sphinx -N -bman doc/source build/man # Manpage generator
 endif
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
+	dh_auto_test || echo "Ignoring test failures"
+else
+	dh_auto_test
+endif
+endif

## satpy 0.34.0

=== debian/changelog ===
satpy (0.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright file.
  * Re-enable tests on modis (see
    https://github.com/pytroll/satpy/pull/1966 and
    https://github.com/pytroll/satpy/issues/1883).
  * debian/patches:
    - refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 22 Feb 2022 11:07:35 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-bs4,
                python3-cloudpickle,
                python3-dask (>= 2.8),
+               python3-defusedxml,
                python3-distributed,
                python3-donfig,
                python3-eccodes,
@@ -67,6 +68,7 @@
 Depends: python3-appdirs,
          python3-dask (>= 2.8),
          python3-donfig,
+         python3-defusedxml,
          python3-eccodes,
          python3-grib,
          python3-hdf4 (>= 0.10.1),

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 "not test_retrieve and not test_offline_retrieve\
  and not test_retrieve_all and not test_download_script\
  and not test_start_time and not test_end_time\
- and not test_mimic_TPW2_nc and not test_fy4a_for_one_resolution and not test_load_longitude_latitude\
+ and not test_mimic_TPW2_nc\
  and not TestAngleGeneration"

=== debian/tests/control ===
Tests: python3
Depends: @builddeps@, @
Restrictions: skippable

## satpy 0.36.0

=== debian/changelog ===
satpy (0.36.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0007-Fix-compatibility-with-pyorbital-v1.7.3.patch (Closes: #1015030).
  * Update lintian overrides.
  * debian/tests:
    - autopkgtest depends on python3-all.
    - skip test_get_luts.
  * debian/control:
    - update dependency version.
    - build-depend on pybuild-plugin-pyproject.
  * debian/rules:
    - skip test_get_luts.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 17 Jul 2022 18:38:00 +0000

satpy (0.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Do not install dummy files denerated during tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 19 Apr 2022 07:17:25 +0000

satpy (0.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 20 Mar 2022 06:49:53 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                libjs-mathjax,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-appdirs,
                python3-behave,
@@ -37,7 +38,7 @@
                python3-pydecorate,
                python3-pykdtree,
                python3-pyninjotiff,
-               python3-pyorbital,
+               python3-pyorbital (>= 1.7.3),
                python3-pyproj,
                python3-pyresample (>= 1.12.0),
                python3-pyspectral (>= 0.8.7),
@@ -58,7 +59,7 @@
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,17 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=satpy
-export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/benchmarks' '{destdir}/{install_dir}/dask-worker-space'
+export PYBUILD_AFTER_INSTALL=rm -rf \
+{destdir}/{install_dir}/benchmarks \
+{destdir}/{install_dir}/dask-worker-space \
+{destdir}/{install_dir}/dummy*
 export PYBUILD_TEST_ARGS=-k \
 "not test_retrieve and not test_offline_retrieve\
  and not test_retrieve_all and not test_download_script\
  and not test_start_time and not test_end_time\
  and not test_mimic_TPW2_nc\
- and not TestAngleGeneration"
+ and not TestAngleGeneration\
+ and not test_get_luts"
 
 
 %:

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|satpy)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/satpy-$1.$2/,\
repacksuffix=+ds \
https://github.com/pytroll/satpy/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|satpy)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## satpy 0.37.1

=== debian/changelog ===
satpy (0.37.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add Testsuite: autopkgtest-pkg-python.
  * Fix d/copyright formatting.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 16 Aug 2022 07:06:21 +0000

satpy (0.37.0-2) unstable; urgency=medium

  * debian/tests:
    - fix typo in test selection.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Aug 2022 07:05:07 +0000

satpy (0.37.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update dependencies
    - add dependency on libjs-jquery-datatables.
  * debian/patches:
    - drop 0007-Fix-compatibility-with-pyorbital-v1.7.3.patch,
      applied upstream
    - refresh and renumber remaining patches
    - new 0006-Relax-test-tolerance.patch
    - new 0007-Fix-privacy-breach.patch.
  * Skip tests requiring syfield.
  * Add debian/images.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Aug 2022 15:48:26 +0000

satpy (0.36.0-3) unstable; urgency=medium

  * debian/control:
    - add dependency on python3-rioxarray.
  * debian/patches:
    - drop 0004-Skip-tests-requiring-rioxarray.patch, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 05 Aug 2022 15:08:06 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
+Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               libjs-jquery-datatables,
                libjs-mathjax,
                pybuild-plugin-pyproject,
                python3-all,
@@ -40,12 +42,13 @@
                python3-pyninjotiff,
                python3-pyorbital (>= 1.7.3),
                python3-pyproj,
-               python3-pyresample (>= 1.12.0),
+               python3-pyresample (>= 1.24.0),
                python3-pyspectral (>= 0.8.7),
                python3-pytest,
                python3-pytest-lazy-fixture,
                python3-rasterio,
                python3-requests,
+               python3-rioxarray,
                python3-scipy,
                python3-setuptools,
                python3-sphinx,
@@ -111,6 +114,7 @@
             python3-pytest-lazy-fixture,
             python3-rasterio,
             python3-requests,
+            python3-rioxarray,
             python3-tables,
             python3-tornado,
             python3-trollsched

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,14 @@
  and not test_start_time and not test_end_time\
  and not test_mimic_TPW2_nc\
  and not TestAngleGeneration\
- and not test_get_luts"
+ and not test_get_luts\
+ and not test_convert_remote_files_to_fsspec_fsfile\
+ and not test_convert_remote_files_to_fsspec_filename_dict\
+ and not test_convert_remote_files_to_fsspec_mixed_sources\
+ and not test_get_satpos_from_satname\
+ and not test_enhanced_image\
+ and not test_double_load\
+ and not test_correct_area_no_orbital_parameters"
 
 
 %:

## satpy 0.38.0

=== debian/changelog ===
satpy (0.38.0-1) unstable; urgency=medium

  * New upstream release (Closes: 1022338).
  * Skip test_viirs_compact.py::TestCompact::test_distributed.
  * Re-enable test_enhanced_image, test_double_load and
    test_correct_area_no_orbital_parameters.
  * Update d/copyright.
  * debian/patches:
    - New 0008-Fix-compatibility-with-old-dask-versions.patch.
  * debian/control:
    - Add build dependency on python3-skyfield and
      python3-astropy..

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Dec 2022 23:46:22 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-appdirs,
+               python3-astropy,
                python3-behave,
                python3-bottleneck,
                python3-bs4,
@@ -51,6 +52,7 @@
                python3-rioxarray,
                python3-scipy,
                python3-setuptools,
+               python3-skyfield,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-sphinxcontrib.apidoc,
@@ -115,6 +117,7 @@
             python3-rasterio,
             python3-requests,
             python3-rioxarray,
+            python3-skyfield,
             python3-tables,
             python3-tornado,
             python3-trollsched

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 {destdir}/{install_dir}/dask-worker-space \
 {destdir}/{install_dir}/dummy*
 export PYBUILD_TEST_ARGS=-k \
-"not test_retrieve and not test_offline_retrieve\
+"not test_retrieve\
+ and not test_offline_retrieve\
  and not test_retrieve_all and not test_download_script\
  and not test_start_time and not test_end_time\
  and not test_mimic_TPW2_nc\
@@ -22,9 +23,7 @@
  and not test_convert_remote_files_to_fsspec_filename_dict\
  and not test_convert_remote_files_to_fsspec_mixed_sources\
  and not test_get_satpos_from_satname\
- and not test_enhanced_image\
- and not test_double_load\
- and not test_correct_area_no_orbital_parameters"
+ and not test_distributed"
 
 
 %:

## satpy 0.39.0

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    = 
+SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = build
@@ -29,6 +29,7 @@
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -rf source/api/*.rst
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
satpy (0.39.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Fix pytest ignore options for autopkgtest.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Jan 2023 16:31:10 +0000

satpy (0.39.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0009-Compatibility-with-numpy-1.24.patch, applied upstream.
    - refresh and renumber all patches.
  * Update dates in d/copyright.
  * Exclude tests in test_insat3d_img_l1b_h5.py. The optional dependency
    xarray-datatree is still not available in debian.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 02 Jan 2023 09:22:40 +0000

satpy (0.38.0-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * debian/patchess:
    - new 0009-Compatibility-with-numpy-1.24.patch (Closes: #1027242).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 29 Dec 2022 16:01:36 +0000

=== debian/control ===
--- 
+++ 
@@ -78,7 +78,6 @@
          python3-eccodes,
          python3-grib,
          python3-hdf4 (>= 0.10.1),
-         python3-numpy,
          python3-pil,
          python3-pooch,
          python3-pykdtree,

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,12 @@
  and not test_convert_remote_files_to_fsspec_filename_dict\
  and not test_convert_remote_files_to_fsspec_mixed_sources\
  and not test_get_satpos_from_satname\
- and not test_distributed"
+ and not test_distributed" \
+--ignore=satpy/tests/reader_tests/test_insat3d_img_l1b_h5.py
 
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_configure:
 	echo "version = '$(DEB_VERSION_UPSTREAM)'" > satpy/version.py

=== debian/tests/control ===
Tests: python3
Depends: @builddeps@, @, python3-all
Restrictions: skippable

## satpy 0.42.2

=== debian/changelog ===
satpy (0.42.2-2) unstable; urgency=medium

  * Skip tests that require large memory in autopkgtests.
    This fixes and autopkgtest failure on armel.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 21 Jun 2023 05:22:06 +0000

satpy (0.42.2-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - drop no longer needed dependency on python3-libtiff
    - depend on python-geotiepoints (>=1.6).
  * Update d/copyright.
  * debian/control:
    - dump debhelper-compat version to 13
    - update dependencies: depend on python3-ephem.
  * debian/patches:
    - refresh all patches.
  * Disable test requiring internet connection or unavailable optional packages.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Jun 2023 06:12:10 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libjs-jquery-datatables,
                libjs-mathjax,
@@ -22,17 +22,18 @@
                python3-distributed,
                python3-donfig,
                python3-eccodes,
+               python3-ephem,
                python3-fsspec,
-               python3-geotiepoints,
+               python3-geotiepoints (>= 1.6),
                python3-glymur,
                python3-grib,
                python3-h5netcdf,
                python3-h5py,
                python3-hdf4 (>= 0.10.1),
                python3-imageio,
-               python3-libtiff,
                python3-netcdf4,
                python3-numpy,
+               python3-packaging,
                python3-pil,
                python3-pint,
                python3-pooch,
@@ -64,7 +65,7 @@
                python3-xarray,
                python3-yaml,
                python3-zarr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/satpy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/satpy.git
 Homepage: https://github.com/pytroll/satpy
@@ -78,6 +79,7 @@
          python3-eccodes,
          python3-grib,
          python3-hdf4 (>= 0.10.1),
+         python3-packaging,
          python3-pil,
          python3-pooch,
          python3-pykdtree,
@@ -102,7 +104,6 @@
             python3-h5netcdf,
             python3-h5py,
             python3-imageio,
-            python3-libtiff,
             python3-netcdf4,
             python3-pint,
             python3-pycoast,

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,10 @@
  and not test_convert_remote_files_to_fsspec_filename_dict\
  and not test_convert_remote_files_to_fsspec_mixed_sources\
  and not test_get_satpos_from_satname\
- and not test_distributed" \
+ and not test_distributed\
+ and not test_rayleigh_corrector\
+ and not test_rayleigh_with_angles\
+ and not test_float_write_with_unit_conversion" \
 --ignore=satpy/tests/reader_tests/test_insat3d_img_l1b_h5.py
